import { Component } from '@angular/core';
import { NavParams, ViewController } from 'ionic-angular';

@Component({
    templateUrl: 'product-options.html'
})
export class ProductOptions {

    constructor(
        public nav: NavParams,
        public viewCtrl: ViewController
    ) { }

    /**
     *
     */
    click(role: string): void {
        this.viewCtrl.dismiss({
            role: role,
            item: this.nav.data.item
        });
    }
}